#ifndef ZTALARMGENERATORPAGE_H
#define ZTALARMGENERATORPAGE_H

#include <QWidget>
#include "ZTAlarms.h"
class CZTAlarmGenerator;



namespace Ui {
class CZTAlarmGeneratorPage;
}

class CZTAlarmGeneratorPage : public QWidget
{
    Q_OBJECT

public:
    explicit CZTAlarmGeneratorPage(QWidget *parent = 0);
    ~CZTAlarmGeneratorPage();
    void ModbusMasterConnected();
    void ModbusMasterDisconnected();
    void UpdateSEIState(bool AN1Flag, bool AN2Flag, quint16 Watchdog);

    CZTAlarmGenerator *mProgramHandle;

private:
    Ui::CZTAlarmGeneratorPage *ui;
    CZTAlarms mActiveAlarms;

public slots:
    void ConnectToSEIBtnPressed();
    void ActivateAlarmBtnPressed();
    void ClearAlarmsBtnPressed();
    void AlarmSelectionChanged(QString text);
    void SendAlarmsBtnPressed();


};

#endif // ZTALARMGENERATORPAGE_H
